<?php


namespace Service\ChartView;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
abstract class ChartViewAbstract
{
	public function fetchWidgetData(){
        $widget = $this->widget;
        $postGroupConditions = !empty($widget["postGroupConditions"]) ? $widget["postGroupConditions"] : [];
        $widgetDataService = InstanceManager::getInstance()->getService('\Service\WidgetData');
        $this->widgetData = $widgetDataService->fetchWidgetData($widget['_id'], $widget['parameters']['structureId'], null, $widget['parameters']['period'],
				$widget['parameters']['facts'], !empty($widget['parameters']['dimensionName']) ? $widget['parameters']['dimensionName'] : "",array(),
				null,null,$widget['parameters']['drillDownFilters'], false, [],[], $postGroupConditions);
    }
}